threestep {affyPLM} | R Documentation

## Three Step expression measures

### Description

This function converts an `AffyBatch` into an `exprSet` using a three step expression measure.

### Usage

    threestep(object,subset=NULL, verbose=TRUE, normalize=TRUE,background=TRUE,background.method="RMA.2",normalize.method="quantile",summary.method="median.polish",background.param = list(),normalize.param=list(),summary.param=list())

### Arguments

`object` | an `AffyBatch`
`subset` | a vector with the names of probesets to be used. If NULL then all probesets are used.
`verbose` | logical value. If `TRUE` it writes out some messages. (Curently ignored)
`normalize` | logical value. If `TRUE` normalize data using quantile normalization
`background` | logical value. If `TRUE` background correct using RMA background correction
`background.method` | name of background method to use.
`normalize.method` | name of normalization method to use.
`summary.method` | name of summary method to use.
`background.param` | list of parameters for background correction methods
`normalize.param` | list of parameters for normalization methods
`summary.param` | list of parameters for summary methods

### Details

This function computes the expression measure using threestep methods. Greater details can be found in a vignette.

### Value

An `exprSet`

### Author(s)

Ben Bolstad bolstad@stat.berkeley.edu

### References

Bolstad, BM (2004) Low Level Analysis of High-density Oligonucleotide Array Data: Background, Normalization and Summarization. PhD Dissertation. University of California, Berkeley.

### See Also

`expresso`, `rma`

### Examples

    data(affybatch.example)

    # should be equivalent to rma()
    eset <- threestep(affybatch.example)

    # Using Tukey Biweight summarization
    eset <- threestep(affybatch.example,summary.method="tukey.biweight")

    # Using Average Log2 summarization
    eset <- threestep(affybatch.example,summary.method="average.log")

    # Using IdealMismatch background and Tukey Biweight and no normalization.
    eset <- threestep(affybatch.example,normalize=FALSE,background.method="IdealMM",summary.method="tukey.biweight")

    # Using average.log summarization and no background or normalization.
    eset <- threestep(affybatch.example,background=FALSE,normalize=FALSE,background.method="IdealMM",summary.method="tukey.biweight")

    # Use threestep methodology with the rlm model fit
    eset <- threestep(affybatch.example,summary.method="rlm")

    # Use threestep methodology with the log of the average
    eset <- threestep(affybatch.example,summary.method="log.average")

    # Use threestep methodology with log 2nd largest method
    eset <- threestep(affybatch.example,summary.method="log.2nd.largest")

    eset <- threestep(affybatch.example,background.method="LESN2")

[Package affyPLM version 1.3.3 Index]